- Qt 6.6
- Qt Sensors
- QML Types
- AmbientTemperatureReading
- Qt 6.6.2 Reference Documentation

# AmbientTemperatureReading QML Type

The AmbientTemperatureReading element holds the most recent temperature reading. More...

Import Statement: | import QtSensors
Since: | QtSensors 5.1
Inherits: | SensorReading

- List of all members, including inherited members

## Properties

- temperature : qreal

## Detailed Description

The AmbientTemperatureReading element holds the most recent temperature reading.

This element wraps the QAmbientTemperatureReading class. Please see the documentation for QAmbientTemperatureReading for details.

This element cannot be directly created.

## Property Documentation

temperature : qreal

This property holds the ambient temperature in degree Celsius.

Please see QAmbientTemperatureReading::temperature for information about this property.